aboutsummaryrefslogtreecommitdiffstats
path: root/tests/travis/prepare_mysql.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/travis/prepare_mysql.sh')
-rwxr-xr-xtests/travis/prepare_mysql.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/tests/travis/prepare_mysql.sh b/tests/travis/prepare_mysql.sh
new file mode 100755
index 000000000..96a562ac3
--- /dev/null
+++ b/tests/travis/prepare_mysql.sh
@@ -0,0 +1,37 @@
+#!/usr/bin/env bash
+
+#
+# Copyright (c) 2016 Hubzilla
+#
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
+#
+# The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+# SOFTWARE.
+#
+
+# Exit if anything fails
+set -e
+
+echo "Preparing for MySQL ..."
+
+# Print out some MySQL information
+mysql --version
+mysql -e "SELECT VERSION();"
+mysql -e "SHOW VARIABLES LIKE 'max_allowed_packet';"
+mysql -e "SELECT @@sql_mode;"
+
+# Create Hubzilla database
+mysql -e "CREATE DATABASE IF NOT EXISTS hubzilla;" -uroot;